## kommando-trinity 14.1.5

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${XMU_INCLUDEDIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kommando (shared)
tde_add_library( kommando SHARED AUTOMOC
  SOURCES
    menulistviewitem.cpp configuration.cpp menu.cpp
    commandobutton.cpp roundbutton.cpp kommandoview.cpp
  VERSION 1.0.0
  LINK tdecore-shared tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kommandod (kded module)
tde_add_kpart( kded_kommandod AUTOMOC
  SOURCES kommandod.cpp kommandod.skel kommando.cpp
  LINK tdeinit_kded-shared ${XMU_LIBRARIES} kommando-shared DCOP-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

##### kcm_kommando (kpart)

tde_add_kpart( kcm_kommando MODULE AUTOMOC
  SOURCES configdialogimpl.cpp configdialog.ui kcmkommando.cpp servicemenu.cpp
  LINK
    kommando-shared ${XMU_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kommandod.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kded
)

tde_create_translated_desktop(
  SOURCE kommando.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

## kommando-trinity 14.1.1

=== debian/changelog ===
kommando-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 11 Aug 2023 22:18:40 +0200

kommando-trinity (0.5.2-0) unstable; urgency=low

  * Trinity version

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sun, 23 Jul 2023 11:50:46 +0900

kommando (0.5.1-2) unstable; urgency=low

  * Upload to unstable

 -- Sune Vuorela <debian@pusling.com>  Fri, 13 Apr 2007 23:49:21 +0200

kommando (0.5.1-1) experimental; urgency=low

  * New upstream release.
    - Removing kommandorc from root of tarball.
  * Removing patch to move conffile. Integrated upstream.
  * kommando is now a kded module, not a stand alone program. 
    - menu file removed. 
    - man page removed. 
    - NEWS.Debian added.

 -- Sune Vuorela <debian@pusling.com>  Thu, 28 Dec 2006 16:47:01 +0100

kommando (0.4.1-2) unstable; urgency=low

  * Fixed problems with moving of kommandorc

 -- Sune Vuorela <debian@pusling.com>  Sun, 29 Jan 2006 19:54:32 +0100

kommando (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Sune Vuorela <debian@pusling.com>  Fri, 27 Jan 2006 22:26:33 +0000

kommando (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Sune Vuorela <debian@pusling.com>  Wed, 25 Jan 2006 22:06:50 +0000

kommando (0.3.0-1) unstable; urgency=low

  * New upstream release

 -- Sune Vuorela <debian@pusling.com>  Sat, 19 Nov 2005 22:35:44 +0000

kommando (0.2-2) unstable; urgency=low

  * Passes lintian
  * First debian release Closes: #336607

 -- Sune Vuorela <debian@pusling.com>  Tue,  1 Nov 2005 13:00:00 +0100

kommando (0.2-1) unstable; urgency=low

  * New upstream release

 -- Sune Vuorela <debian@pusling.com>  Sun,  2 Oct 2005 21:51:18 +0000

kommando (0.1.2-1) unstable; urgency=low

  * Initial release

 -- Sune Vuorela <debian@pusling.com>  Tue, 27 Sep 2005 21:37:53 +0000

=== debian/control ===
Source: kommando-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxmu-dev
Standards-Version: 3.8.4

Package: kommando-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: a TDE wheel-menu to quickly pick menu items with the mouse
 It allows rapid access to user defined applications and shell 
 commands and is of course a nice piece of eyecandy to improve the 
 look and usability of TDE.

## kommando-trinity 14.1.2

=== debian/changelog ===
kommando-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:52 +0200

## kommando-trinity 14.1.3

=== debian/changelog ===
kommando-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:23:03 +0200

## kommando-trinity 14.1.4

=== debian/changelog ===
kommando-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kommando-trinity 14.1.5~pre4

=== debian/changelog ===
kommando-trinity (4:14.1.5~pre4-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 7f216eca4baab637958d22e1334cdf68ecf69a32
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kommando-trinity 14.1.5

=== debian/changelog ===
kommando-trinity (4:14.1.5-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxmu-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxmu-dev
 Standards-Version: 3.8.4
 
 Package: kommando-trinity

## kommando-trinity 14.1.6~pre0

=== debian/changelog ===
kommando-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7f216eca4baab637958d22e1334cdf68ecf69a32
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kommando-trinity 14.1.6~pre1

=== debian/changelog ===
kommando-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c2993ab2a2a3b7c892e7269a40d0a8c2ebd8e8e6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:21:54 +0100

## kommando-trinity 14.2.0~pre46

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup

project( kommando )


##### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


##### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON           )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


##### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )

##### source directories

add_subdirectory( icons )
add_subdirectory( src )

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
kommando-trinity (4:14.2.0~pre46-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for cc7db76b2ac4073e2a4274b854cc8f9f12d89d66
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kommando-trinity 14.2.0~pre47

=== debian/changelog ===
kommando-trinity (4:14.2.0~pre47-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 5fb4c98696a0205b9fb893bfa2993068e7b3bc5c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kommando

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:15:07 +0100
